Subject: Mite Solution

From: [email-masked] (Patrick McGuire)
Date: 9 Jun 1995 03:46:56 GMT

Has anyone had experience using a new product called "Mite Solution?"  It 
is touted as being a 100% natural entrance treatment for varroa mites.  
All ingredients are supposed to be FDA and EPA approved and the 
manufacturer claims that you can treat colonies without removing honey 
supers.  One ounce sells for $18.00 and is supposed to treat 20 colonies 
4 times a year (2 spring and 2 fall treatments).

It is manufactured by a company named Apicom I.B. Inc in New York and is 
associated with Tuttle Apiaries. 

This product is "guaranteed to work" and it seems too good to be true.
Anyone having experience or more detailed information about this product, 
please post here or e-mail me.  A member of our local beekeeping club 
just ordered some but I am especially interested in anyone else's 
experiences.   Thanks....